ru.bitel.frk.utils

## Class FrkUtils.CommandCheckParameters

- java.lang.Object
- - ru.bitel.frk.utils.FrkUtils.CommandCheckParameters

- Enclosing class:
    FrkUtils

      public static class FrkUtils.CommandCheckParameters
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `cashierINN`
    `java.lang.String` | `cashierName`
    `Check.Type` | `checkType`
    `java.lang.String` | `customerEmail`
    `java.util.Map<java.lang.Integer,java.lang.Object>` | `customTags`
    `java.util.Date` | `documentDate`
    `java.lang.String` | `documentId`
    `boolean` | `onlyElCheck`
    `java.lang.Integer` | `paymentType`
    `java.lang.Integer` | `payMethod`
    `java.lang.Integer` | `payObject`
    `java.lang.Integer` | `tax`
    `java.math.BigDecimal` | `totalPositionSumma`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommandCheckParameters()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### totalPositionSumma

          public java.math.BigDecimal totalPositionSumma

    - #### customerEmail

          public java.lang.String customerEmail

    - #### paymentType

          public java.lang.Integer paymentType

    - #### tax

          public java.lang.Integer tax

    - #### onlyElCheck

          public boolean onlyElCheck

    - #### customTags

          public java.util.Map<java.lang.Integer,java.lang.Object> customTags

    - #### payMethod

          public java.lang.Integer payMethod

    - #### payObject

          public java.lang.Integer payObject

    - #### checkType

          public Check.Type checkType

    - #### cashierName

          public java.lang.String cashierName

    - #### cashierINN

          public java.lang.String cashierINN

    - #### documentDate

          public java.util.Date documentDate

    - #### documentId

          public java.lang.String documentId

  - ### Constructor Detail

    - #### CommandCheckParameters

          public CommandCheckParameters()